<?php
//error_reporting(E_ALL);
//ini_set('display_errors',1);

SESSION_START();
require_once ("../../config/Cado.php");
require_once("../producto/cProductomarca.php");
$oProductomarca = new cProductomarca();
require_once("../preciogestion/cPrecioproducto.php");
$oPrecioproducto = new cPrecioproducto();
require_once ("../preciogestion/cPreciogestion.php");
$oPreciogestion = new cPreciogestion();
require_once ("../historial/cHistorial.php");
$oHistorial = new cHistorial();
require_once("../formatos/formato.php");


if($_POST['action']=="actualizar_precio_panel")
{
	
	//$oProductomarca->modificar_campo2($_POST['cat_id'],$_POST['mar_id'],'codbar',$_POST['cat_codbar']);
	
	
	
	$dtspre = $oPreciogestion->mostrar_precioxpuntoventa($_POST['cat_id'],$_POST['punvenid']);		
	$numrowpre = mysqli_num_rows($dtspre);
		
	// echo $numrowpre;
	 
	if($numrowpre>0){
		
		$dtp = mysqli_fetch_array($dtspre);
		$preven = $dtp['tb_precioproducto_preven'];
		$prevenf = $dtp['tb_precioproducto_prevenf'];
		$precos = $dtp['tb_precioproducto_precom'];
		$prepro_id = $dtp['tb_precioproducto_id'];
		$pronom = $dtp['tb_producto_nom'];
		
		
		$oPrecioproducto->modificar_campo($prepro_id,'precom',moneda_mysql($_POST['cat_precos']));
		$oPrecioproducto->modificar_campo($prepro_id,'preven',moneda_mysql($_POST['cat_preven']));
		$oPrecioproducto->modificar_campo($prepro_id,'prevenf',moneda_mysql($_POST['cat_prevenf']));
		
		$det = 'GESTION DE PRECIOS :: ACTUALIZADO '.$pronom.' [ANTES | '.$precos.' - '.$preven.' - '.$prevenf.'] [ DESPUES | '.$_POST['cat_precos'].' - '.$_POST['cat_preven'].' - '.$_POST['cat_prevenf'].']';
		
	}else{
		$oPrecioproducto->insertar($_POST['cat_id'],$_POST['punvenid'],moneda_mysql($_POST['cat_preven']),moneda_mysql($_POST['cat_prevenf']),moneda_mysql($_POST['cat_precos']),'0');
		$det = 'GESTION DE PRECIOS :: PRECIO REGISTRADO [PRE. VENTA | '.$_POST['cat_preven'].']';
	}
	
	
		$user_agen = $_SERVER['HTTP_USER_AGENT'];;
		$mod = 22;
		$mod_ide = 0;
		$fec = date('Y-m-d');
		$doc_id = 0;
		$numdoc = '';
		$ip = mostrar_ip();
	 	
		$oHistorial->insertar(
		fecha_mysql($fec),
		$det,
		$ip,
		$_SESSION['usuario_id'],
		$mod,
		$mod_ide,
		$doc_id,
		$numdoc
		);
	
	
	
	
	echo "Ok";
}
?>